@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");
/* font-family: 'Poppins', sans-serif; */

:root {
  /* ### Primary */
  --Violet: hsl(257, 40%, 49%);
  --Soft-Magenta: hsl(300, 69%, 71%);
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: "Open Sans", sans-serif;
  color: white;
  position: relative;
}
header {
  position: absolute;
  top: 30px;
  left: 30px;
  transition: all 0.3s;
}
header:hover {
  transform: scale(1.3);
}
header img {
  width: 150px;
}

.container {
  min-height: 100vh;
  width: 100%;
  background-color: var(--Violet);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-image: url(./images/bg-mobile.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: 0 -30px;
}

.mockups {
  width: 80%;
  margin-top: 150px;
  /* border: 1px solid violet; */
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 650px;
}

.right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.build {
  margin-top: 50px;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  text-align: center;
  margin-bottom: 30px;
  font-size: 4.5vw;
  /* width: 70%; */
}

.fans {
  display: block;
}

.huddle-paragraph {
  width: 350px;
  text-align: center;
  line-height: 1.5rem;
  font-family: "Open Sans", sans-serif;
  font-weight: 400;
  margin-bottom: 20px;
}

.huddle-paragraph span {
  display: block;
}

button {
  background-color: white;
  color: var(--Violet);
  border: none;
  outline: none;
  cursor: pointer;
  width: 70%;
  border-radius: 50px;
  padding: 10px 0;
  box-shadow: 0px 5px 5px 0px rgba(0, 0, 0, 0.525);
  font-family: "Poppins", sans-serif;
  margin-bottom: 30px;
  transition: all 0.3s;
}

button:hover {
  color: white;
  background-color: var(--Soft-Magenta);
  transform: scale(1.2);
}

ul {
  list-style: none;
  display: flex;
  margin-bottom: 50px;
  /* justify-content: center;
    align-items: center; */
  bottom: 0;
}

ul a {
  text-decoration: none;
}

ul li a {
  color: white;
  border: 1px solid #ddd;
  border-radius: 50%;
  height: 40px;
  width: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
}
ul li {
  margin-right: 15px;
}
ul li:last-child {
  margin: 0;
}

ul li a:hover {
  color: var(--Violet);
  background-color: white;
}

@media only screen and (min-width: 868px) {
  .container {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-image: url(./images/bg-desktop.svg);
    background-size: 1300px;
  }

  .right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-right: 50px;
    /* width: 100%; */
    /* border: 10px solid green; */
  }

  .mockups {
    width: 60%;
    margin-top: 0;
    margin-left: 50px;
    margin-right: 50px;
    max-width: 700px;
    /* border: 1px solid brown; */
  }
  header {
    left: 70px;
  }
  header img {
    width: 200px;
  }
  .build {
    text-align: left;
    font-size: 2rem;
    /* font-weight: 600; */
    text-align: left;
    /* font-size: 3vw; */
    /* width: 100%; */
  }
  .huddle-paragraph {
    max-width: unset;
    text-align: left;
    width: 100%;
    max-width: 480px;
  }
  .huddle-paragraph span {
    display: inline;
  }

  button {
    width: 100%;
    padding: 13px;
    font-size: 1.2rem;
    max-width: 200px;
  }
  ul {
    position: absolute;
    right: 70px;
  }
}
